Jump to content

Archived

This topic is now archived and is closed to further replies.

infogroupsmb

Google IE Compatibility scripts

Recommended Posts

infogroupsmb    1
infogroupsmb

We have the Google IE Compatibility script enabled in the PageLines > Site Options > Advanced and we want it on all but 2 pages.  I want to dequeue the scripts from those 2 pages but in order to do that I need to know the handle that PL used to enqueue them.  Can anyone share that information with me?  

 

Thanks,

 

WP v3.6

PL v2.4.4

  • Like 1

Share this post


Link to post
Share on other sites
infogroupsmb    1
infogroupsmb

The issue is that we have 2 alternate home pages that have extensive in-page css which all render fine, until the pages are redrawn with the IE8 fixes, and then they break.

 

https://test-cms.salesgenie.com/index-a/

https://test-cms.salesgenie.com/index-b/

 

I know it's the IE8 compatibility scripts because when I disable them in the PL > Site Options > Advanced the pages render just fine.  Unfortunately, then the rest of the site doesn't.  So I'd like to remove the scripts from just those 2 pages but in order to do that I need to know the handle that PL uses to enqueue them.

 

Any help?

Share this post


Link to post
Share on other sites
Rob    547
Rob

Hi, 

 

IE Compatibility is not selectable on a page basis.  It either is or isn't in the site.   That said, you can download our Browser Specific CSS plugin and add specific CSS for the two pages you want to alter.  There's no way to use CSS though to disable compatibility on those pages.


Former PageLines Moderator, Food Expert and Raconteur

Share this post


Link to post
Share on other sites
infogroupsmb    1
infogroupsmb

Allow me to clarify.  I don't want to add extra CSS to the specific pages to disable the compatibility scripts.  I want the handle with which they were enqueued (wp_enqueue_script) so I can dequeue it using wp_dequeue_script.  All I'm asking is what handles were used to register the 2 scripts so I can dequeue them.

Share this post


Link to post
Share on other sites
infogroupsmb    1
infogroupsmb

Any suggestions on how to dequeue those scripts on specific pages?

Anyone?

Share this post


Link to post
Share on other sites
Rob    547
Rob

As you're trying to do something that's outside the scope of our support, I'm going to have to defer you to a custom programmer. This isn't something our moderator team can really assist with.  We're not developers or coders. I'm sorry we couldn't be more helpful.


Former PageLines Moderator, Food Expert and Raconteur

Share this post


Link to post
Share on other sites

  • Similar Content

    • triggerfish
      By triggerfish+
      Hi there,
      My client is a user/website tester and has just informed me that her website is not displaying properly in Internet explorer 9 (and 8).
      The website looks great and has been tested by me on all devices and on the desktop by all the latest browsers ... but not older versions.
      Is there anything known about this and DMS, or is there a fix?
       
      the website is here..
      http://vancouver-web-directory.com/LILY/ 
       
      Here is a pdf with screen shots and the problems in ie8 & ie9...
      http://vancouver-web-directory.com/LILY/PDF/LA-032115.pdf
       
       
      Thanks 
       
      regards,
      Donald
       
       
       
       
    • communicreations
      By communicreations+
      I have an issue with a site not behaving in IE9 and performing badly in IE8. I've been playing around with a copy on a staging server and testing view with Browserstack. I replaced my child theme and activated WP 2013 theme, and IE8/9 worked fine. I then activated the DMS2 Base theme and the not loading properly issue returned. Then I deactivated all the plugins but the problem still persists.   With child theme active: IE8/9/10 - http://imgur.com/a/FzN0O   With DMS2 Base theme active, all plugins deactivated: IE8/9/10 - http://imgur.com/a/3j15x   Temporary staging server URL: http://c95.731.myftpupload.com/   DMS version: 2.1.9.2 Debug is on, cache cleared   The problems with IE8 should be obvious. The CTA is disappearing in IE9 but otherwise is fine. Everything good in IE10 and up.
        Thanks in advance, Michael
    • ghettro
      By ghettro
      My pics are not loading in IE9 and I need to know if theres a plugin to resolve this issue.  (Help)
       
      My site:  http://www.csswayne.org
       
      and I'm using DMS 2.0 with Wordpress 3.91
       
      I have some plugins
      Custom Sidebar
      Form maker
      Call Press calendars
    • jamieg270
      By jamieg270+
      I was using the DMS Pro Tools patch and the Modernizr plugin/acript to get IE8 and IE9 to present DMS based sites correctly. This was working successfully, bar a few elements that I could make some conditional styles for.
       
      I've just noticed on the last two sites I've updated to the latest version of DMS that this no longer works. I know the Modernizr script hasn't been changed so I assume something with DMS has changed to render these non-functional.
       
      http:/www.guinnessfunds.com
      http:/www.tcii.co.uk/bypass   (this is behind a 'under maintenance' screen right now, you'll need to use the 'bypass' in the URL to get past it)
       
      Any idea what might be stopping the script from running correctly? Normally it would allow older browsers to use HTML5 and CSS3 tags/selectors, at the moment its as if the script isn't even running/loading...
    • tinpeas
      By tinpeas+
      Hi Guys
       
      I have an issue with quick slider (Pagelines Version 2.x) which I have seen a couple of other similar posts talking about, the only difference is it only effects IE8 for me. The sites did work fine in IE8 with sliders performing as expected.
       
      Now the sliders do not load at all in IE8, if I refresh the page they do then load. I have tried disabling all non Pagelines plugins but this makes no difference. Also the site loads fine using IE11 using developer tools for IE8 but not on an actual XP machine using IE8.
       
      The sites were fine (there are 2 of them) but now I have this issue. I can only assume a Wordpress update has caused this.
       
      I know that people will say well the browser/OS are old/unsupported etc but they did work and the sites are for a government agency were there is a large amount of users still using XP and IE8 so I have no choice but to somehow fix the issue.
       
      Any help would be very much appreciated.
       
      Thanks in advance.
       
      Cheers
       
      Gary
×